{% extends 'base.html' %}

{% block contenido %}
<div class="container">
    <br>
    <center>
        <h3>
          Editar sucursal
        </h3>
    </center>
    <form action="{% url 'editar_sucursal' object.pk %}" method="POST" class="col s12">
        {% csrf_token %}

        <div class="row">
            <div class="input-field col s12">
                <input id="nombreSucursal" type="text" name="nombreSucursal" value="{{object.nombreSucursal|default_if_none:""}}" class="validate" required>
                <label for="nombreSucursal">Sucursal</label>
            </div>

            <div class="input-field col s12">
                <input id="descripcionSucursal" type="text" name="descripcionSucursal" value="{{object.descripcionSucursal|default_if_none:""}}" class="validate" required>
                <label for="descripcionSucursal">Descripción</label>
            </div>
            
            <div class="input-field col s12">
                <select required name="disponible">
                    <option value="{{object.disponible}}" selected>{{object.disponible}}</option>
                    <option value="True">Disponible</option>
                    <option value="False">No disponible</option>
                </select>
                <label>Disponibilidad</label>
            </div>

            
        </div>

        <center>
        <button class="btn-large waves-effect waves-light" type="submit">
            Actualizar
        </button>
        </center>
    </form>
    <br><br>
</div>
{% endblock contenido %}
{% block seccionjavascript %}
<script>
$(document).ready(function(){
    $('select').formSelect();
  });
</script>
{% endblock seccionjavascript %}